Обновление с 1.4.1.1 до 1.4.2.0

[10 ноября 2016 г.]    Российская сборка Magento 2.49.12
Magento 2: модули и услуги
#1 miran83
  • Группа: Пользователь
  • Сообщений: 23
  • Регистрация: 26.11.2010

09.12.2010 22:58

Кто подскажет как правильно обновиться?
Вот что получаю в консоли
magento-core/Mage_All_Latest requires package "magento-core/Mage_Core_Modules" (version >= 1.4.2.0, version <= 1.4.2.0), installed version is 1.4.1.1
magento-core/Mage_Core_Adminhtml requires package "magento-core/Mage_Core_Modules" (version >= 1.4.2.0, version <= 1.4.2.0), installed version is 1.4.1.1
magento-core/Interface_Adminhtml_Default requires package "magento-core/Mage_Core_Adminhtml" (version >= 1.4.2.0, version <= 1.4.3.0, excluded versions: 1.4.3.0)
magento-core/Interface_Frontend_Default requires package "magento-core/Mage_Core_Modules" (version >= 1.4.2.0, version <= 1.4.3, excluded versions: 1.4.3), installed version is 1.4.1.1
magento-core/Interface_Install_Default requires package "magento-core/Mage_Core_Modules" (version >= 1.4.2.0, version <= 1.4.3, excluded versions: 1.4.3), installed version is 1.4.1.1
magento-core/Mage_Centinel requires package "magento-core/Mage_Core_Modules" (version >= 1.4.2.0, version <= 1.4.3, excluded versions: 1.4.3), installed version is 1.4.1.1
magento-core/Interface_Frontend_Base_Default requires package "magento-core/Mage_Core_Modules" (version >= 1.4.2.0, version <= 1.4.3, excluded versions: 1.4.3), installed version is 1.4.1.1
magento-core/Phoenix_Moneybookers requires package "magento-core/Mage_Core_Modules" (version >= 1.4.2.0, version <= 1.4.3, excluded versions: 1.4.3), installed version is 1.4.1.1
magento-core/Find_Feed requires package "magento-core/Mage_Core_Modules" (version >= 1.4.2.0, version <= 1.4.3), installed version is 1.4.1.1
Install Errors
No valid packages found
PEAR ERROR: install failed


#2 Дмитрий Федюк
  • Администратор
  • Иконка
  • Группа: Администратор
  • Сообщений: 8886
  • Регистрация: 20.02.2010

09.12.2010 23:20

Попробуйте обновиться через SSH:

./pear install magento-core/Mage_All_Latest


Разумеется, предварительно сделайте резервную копию :-)

#3 Мария
  • Группа: Пользователь
  • Сообщений: 55
  • Регистрация: 27.11.2010

22.12.2010 17:19

Почему-то обновиться таким образом не удается. Почему так?
Провожу обновление в Magento Connect, потом смотрю в RELEASE_NOTES.txt, а там как была версия ==== 1.4.1.1 ====, так и осталась...

Есть еще какие-то методы обновления?

#4 Дмитрий Федюк
  • Администратор
  • Иконка
  • Группа: Администратор
  • Сообщений: 8886
  • Регистрация: 20.02.2010

22.12.2010 17:31

А в админке внизу страницы что написано?

#5 Мария
  • Группа: Пользователь
  • Сообщений: 55
  • Регистрация: 27.11.2010

22.12.2010 17:43

Хм... А там написано Magento Version 1.4.2.0-rc2
А почему так?

#6 Дмитрий Федюк
  • Администратор
  • Иконка
  • Группа: Администратор
  • Сообщений: 8886
  • Регистрация: 20.02.2010

22.12.2010 17:50

А до обновления административная часть какую версию показывала?

#7 Мария
  • Группа: Пользователь
  • Сообщений: 55
  • Регистрация: 27.11.2010

22.12.2010 18:16

Ну это уж я теперь не знаю :-) Я и не думала, что она что-то вообще показывает... Но думаю, что 1.4.1.1, т.е. ту, которую я изначально устанавливала.
Так получается, что обновление-таки произошло?

#8 Дмитрий Федюк
  • Администратор
  • Иконка
  • Группа: Администратор
  • Сообщений: 8886
  • Регистрация: 20.02.2010

22.12.2010 19:08

А вы обновляли до 1.4.2.0 или до 1.4.2.0-rc2?

#9 Мария
  • Группа: Пользователь
  • Сообщений: 55
  • Регистрация: 27.11.2010

22.12.2010 19:54

До 1.4.2.0. Я вообще не знаю, что такое 1.4.2.0-rc2...

#10 Дмитрий Федюк
  • Администратор
  • Иконка
  • Группа: Администратор
  • Сообщений: 8886
  • Регистрация: 20.02.2010

22.12.2010 19:59

У меня уже давно уверенность, которую я уже не раз высказывал - что кто-то пытался обновлять ваш сайт раньше.
RC - это Release Candidate. В данном контексте это сырая полуверсия, которую выпускали с целью тестирования до выхода стабильной версии.

#11 Мария
  • Группа: Пользователь
  • Сообщений: 55
  • Регистрация: 27.11.2010

22.12.2010 20:16

Просто чудеса какие-то... Дело в том, что ни у кого больше нет доступа к этому сайту...
Ну да ладно, что об этом говорить, это проблему не решит.

А вот делать что надо, не знаете? :-)

#12 Дмитрий Федюк
  • Администратор
  • Иконка
  • Группа: Администратор
  • Сообщений: 8886
  • Регистрация: 20.02.2010

22.12.2010 20:22

Я бы начал делать сайт заново: тщательно, аккуратно, делая резервные копии каждый час работы над сайтом, думая, прежде чем что-то установить, нажать, изменить.
Иначе теряется контроль за происходящим: непонятно, какой программный код работает на сайте, и как дорого обойдётся его сопровождать.

#13 Владимир Кузьменко
  • Группа: Клиент
  • Сообщений: 119
  • Регистрация: 28.11.2010

30.01.2011 12:58

На localhost обновил 1.4.1.1 на 1.4.2.0 через Magento connect. Все вроде бы прошло нормально. А в админе внизу стоит 1.4.1.1 (как и раньше). На картинке видно, что установилось. Я так понимаю все нормально?

Прикрепленные изображения

  • Прикрепленное изображение: 1.4.2.0.jpg


#14 Дмитрий Федюк
  • Администратор
  • Иконка
  • Группа: Администратор
  • Сообщений: 8886
  • Регистрация: 20.02.2010

30.01.2011 14:57

Сравните код вашего сайта с эталонным кодом 1.4.2.0

#15 Владимир Кузьменко
  • Группа: Клиент
  • Сообщений: 119
  • Регистрация: 28.11.2010

30.01.2011 16:54

Я сделал тему default. При открытии сайта внизу на странице (в footer) написано (ver. 1.4.1.1)

#16 Дмитрий Федюк
  • Администратор
  • Иконка
  • Группа: Администратор
  • Сообщений: 8886
  • Регистрация: 20.02.2010

30.01.2011 16:59

Сравнить две версии одного программного кода сайта можно посредством инструментов типа Araxis Merge.
Если вы не знаете, как это сделать - обратитесь к программисту.

Поделиться темой: